DEBI(1)

NOM
debi - Installer la version actuelle d'un paquet Debian créé

SYNOPSIS
debi [options] [fichier_changes] [paquet ...]

DESCRIPTION
debi détermine la version actuelle d'un paquet et l'installe. Si un fichier .changes est fourni sur la ligne de commande, le nom du fichier doit se terminer par .changes, puisque c'est comme cela que le programme le différencie d'un nom de paquet. Sinon, debi doit être appelé depuis le répertoire du code source. Dans ce cas, il recherchera un fichier .changes correspondant à la version du paquet ; pour cela, il détermine le nom et la version grâce au fichier changelog, et l'architecture est cherchée comme dpkg-buildpackage(1) le ferait. Il installe ensuite avec debpkg -i toutes les archives .deb listées dans le fichier .changes, en supposant que toutes ces archives .deb se trouvent dans le même répertoire que le fichier .changes. Remarquez que vous ne voulez sûrement pas utiliser ce programme pour le fichier .changes d'une autre architecture qui aurait été créé après intercompilation du paquet !

Si une liste de paquets est fournie en ligne de commande, alors seuls les paquets Debian dont les noms sont dans la liste seront installés.

Puisque l'installation d'un paquet nécessite les droits du superutilisateur, debi appelle debpkg plutôt que dpkg. De ce fait, debi ne pourra être utile que s'il est exécuté avec ces droits ou si debpkg peut être exécuté en tant que superutilisateur. Veuillez consulter debpkg(1) pour plus de détails.

Vérification du nom du répertoire
Comme plusieurs autres scripts du paquet devscripts, debi parcourt une arborescence de répertoires jusqu'à trouver un fichier debian/changelog. Pour éviter les problèmes posés par les fichiers égarés, il examine le nom du répertoire parent une fois qu'il a trouvé le fichier debian/changelog, et vérifie que le nom du répertoire correspond au nom du paquet. La méthode précise utilisée est contrôlée par les deux variables du fichier de configuration DEVSCRIPTS_CHECK_DIRNAME_LEVEL et DEVSCRIPTS_CHECK_DIRNAME_REGEX, et les options en ligne de commande associées --check-dirname-level et --check-dirname-regex.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL peut prendre les valeurs suivantes :

0   Ne jamais vérifier le nom du répertoire.

1   Ne vérifier le nom du répertoire que s'il a fallu changer de répertoire pour trouver le fichier debian/changelog. C'est le comportement par défaut.

2   Toujours vérifier le nom du répertoire.

Le nom du répertoire est vérifié en testant si le nom du répertoire actuel (donné par pwd(1)) correspond à l'expression rationnelle donnée par la variable DEVSCRIPTS_CHECK_DIRNAME_REGEX du fichier de configuration ou par l'option --check-dirname-regex expression_rationnelle. Il s'agit d'une expression rationnelle Perl (voir perlre(1)), qui sera ancrée à son début et à sa fin. Si elle contient un "/", alors elle doit correspondre au chemin complet, sinon elle doit correspondre au nom de répertoire complet. Si elle contient la chaîne "PACKAGE", cette chaîne sera remplacée par le nom du paquet source déterminé par le journal de modifications. La valeur par défaut de cette expression rationnelle est "PACKAGE(-.+)?", ce qui correspond aux répertoires nommés PACKAGE ou PACKAGE-version.

OPTIONS

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes.

--debs-dir répertoire
    Chercher les fichiers .changes et .deb dans le répertoire au lieu du répertoire parent du répertoire source. Cela doit être soit un chemin absolu, soit un chemin relatif à la racine du répertoire source.

-m, --multi
    Chercher un fichier .changes multiarchitecture, tel que créé par dpkg-cross.

-u, --upgrade
    Limiter les mises à jour aux paquets déjà installés sur le système, plutôt que d'installer tous les paquets listés dans le fichier .changes. C'est utile pour les paquets qui produisent plusieurs paquets binaires quand vous ne souhaitez pas que tous les paquets binaires soient installés à la fois.

--check-dirname-level N
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--check-dirname-regex regex
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--with-depends
    Essayer de satisfaire les dépendances d'un paquet lors de son installation.

--tool outil
    Utiliser l'outil indiqué pour installer les dépendances des paquets à installer. Par défaut, apt-get est utilisé.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--help, --version
    Afficher respectivement le message d'aide et la version.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d'environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

DEBRELEASE_DEBS_DIR
    Indiquer le répertoire dans lequel chercher les fichiers .changes et .deb, avec soit un chemin absolu, soit un chemin relatif à la racine du répertoire racine. Cela correspond à l'option en ligne de commande --debs-dir. Cette directive peut être utilisée par exemple si vous utilisez systématiquement pbuilder ou svn-buildpackage pour construire vos paquets. Remarquez que cela concerne également debrelease(1), ce qui explique le nom étrange de l'option.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de ces variables. Remarquez que ce sont des variables de configuration pour tous les outils du paquet devscripts ; elles impacteront tous les scripts qui les utilisent, comme indiqué dans leurs pages de manuel respectives et dans devscripts.conf(5).

VOIR AUSSI
debpkg(1), devscripts.conf(5)

AUTEUR
debi a été initialement écrit par Christoph Lameter <clameter@debian.org>. Le script debit (qui n'est désormais plus utilisé) a été écrit par James R. Van Zandt <jrv@vanzandt.mv.com>. Ils ont été rassemblés en un script, avec debc(1), et ont été fortement modifiés par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.